/* REXX */

'@ECHO OFF'

CALL Rxfuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
CALL SysLoadFuncs

DosBoxOrg   = 'DOSBOX0.74_30.03.19.EXE'
DosBoxWpi   = 'dosbox0.74_2019-05-12.exe'
DosBoxWis   = 'dosbox0.74_2019-05-12.wis-run-yum'
DosBoxOther = 'dosbox-runyum.cmd'

/* Find runwic.cmd */
WarpInPath = ''
Wic = 'wic.exe'  /* fallback value */
next = SysIni( 'USER', 'WarpIN', 'Path')
next = STRIP( next, 'T', '00'x)

IF next <> '' & next <> 'ERROR:' THEN
DO
   WarpInPath = next
   Wic = WarpInPath'\runwic.cmd'
END
ELSE
   EXIT( 2)

/* Copy the original WarpIN archive */
'COPY' DosBoxOrg DosBoxWpi

/* Update the WarpIN archive */
'CALL' Wic DosBoxWpi '-a 2 nul'
'CALL' Wic DosBoxWpi '-d 2 *.dll'
'CALL' Wic DosBoxWpi '-s' DosBoxWis
'CALL' Wic DosBoxWpi '-a 2' DosBoxOther

EXIT( 0)

